FeedsFeeds

Get a feed

GET/projects/{projectId}/feeds/{feedId}

Retrieves a feed by ID under the active project.

X-API-Key<token>

In: header

Path Parameters

projectId*string

Project ID

feedId*string

Feed ID

Request Body

application/json
{}

Response Body

200application/json

OK

type: object

allow_images?boolean
allow_videos?boolean
created_at?string
description?string
has_comments?boolean
has_likes?boolean
has_shares?boolean
id?string
name?string
project_id?string
updated_at?string
400application/json

Bad Request

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

403application/json

Forbidden

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

404application/json

Not Found

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

500application/json

Internal Server Error

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X GET "https://api.rixl.com/projects/string/feeds/F4edRI23XL" \
  -H "Content-Type: application/json" \
  -d '{}'
const body = JSON.stringify({})

fetch("https://api.rixl.com/projects/string/feeds/F4edRI23XL", {
  method: "GET",
  headers: {
    "Content-Type": "application/json"
  },
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "https://api.rixl.com/projects/string/feeds/F4edRI23XL"
  body := strings.NewReader(`{}`)
  req, _ := http.NewRequest("GET", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/projects/string/feeds/F4edRI23XL"
body = """{}"""
response = requests.request("GET", url, data = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;

var body = BodyPublishers.ofString("""{}""");
HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/projects/string/feeds/F4edRI23XL"))
  .header("Content-Type", "application/json")
  .GET(body)
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var body = new StringContent("""
{}
""", Encoding.UTF8, "application/json");

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/projects/string/feeds/F4edRI23XL", body);
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "allow_images": true,
  "allow_videos": true,
  "created_at": "string",
  "description": "string",
  "has_comments": true,
  "has_likes": true,
  "has_shares": true,
  "id": "string",
  "name": "string",
  "project_id": "string",
  "updated_at": "string"
}

Bad Request

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Bad Request"
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}

Forbidden

application/json

{
  "code": 403,
  "details": "The provided ID is not valid",
  "error": "Forbidden"
}

Not Found

application/json

{
  "code": 404,
  "details": "The provided ID is not valid",
  "error": "Not Found"
}

Internal Server Error

application/json

{
  "code": 500,
  "details": "The provided ID is not valid",
  "error": "Internal Server Error"
}